import { RequestHandlerParams } from "express-serve-static-core";
export { Request, Response, NextFunction } from 'express';
declare class cWebRouteModule {
    constructor();
    usePools: any[];
    _route_path: string;
    private app;
    use(...handlers: RequestHandlerParams[]): void;
    inited: boolean;
    init(port: number, finish: Function): any;
    private router;
    private favicon_data;
    load_favicon(): void;
    private favicon;
}
/**
 * 这里负责http的解析，然后传递给对于的处理方法
 * 目前比较简陋，后续需要增加一下处理
 */
export declare var WebRouteModule: {
    name: string;
    instance: cWebRouteModule;
    /**在模块初始化开始前注册 */
    use(...handlers: RequestHandlerParams<import("express-serve-static-core").ParamsDictionary>[]): boolean;
    /**在模块初始化开始前注册 */
    enableStatic: (root: string) => boolean;
    /**注册代码模块的位置 */
    routePath(routePath: string): void;
    /**
     * 是否开启跨域
     */
    openCross: boolean;
    /**
     * 初始化模块
     * @param port
     */
    init(port: number): Promise<unknown>;
};
