"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const marked_1 = __importDefault(require("marked"));
/**
 * 解析 markdown 文本返回 html
 */
function md_parse(text) {
    return new Promise(function (resolve, reject) {
        marked_1.default.parse(text, function (err, result) {
            if (err)
                reject(err);
            else
                resolve(result);
        });
    });
}
exports.default = md_parse;
