declare type RequestType = 'xml' | 'json' | 'text' | 'plain' | undefined;
declare type ResponseType = 'text' | 'json' | 'buffer' | undefined;
/**
 * 异步流程执行网络请求
 * @param type
 * @param url
 * @param data
 * @param retry
 * @param headers
 * @param dtype
 * @param rtype
 */
export declare function http_quest<T>(type: 'get' | 'post', url: string, data?: any, retry?: number, headers?: any, _option?: {
    request_type?: RequestType;
    respon_type?: ResponseType;
    respon_head?: boolean;
} | string): Promise<T>;
export {};
